Bug 1382894 - encfssh should be executable
Summary: encfssh should be executable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fuse-encfs
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-08 06:19 UTC by Ben Liblit
Modified: 2017-08-29 21:52 UTC (History)
3 users (show)

Fixed In Version: fuse-encfs-1.9.1-2.fc25 fuse-encfs-1.9.1-2.fc24 fuse-encfs-1.9.1-2.fc23 fuse-encfs-1.9.1-2.el7 fuse-encfs-1.9.2-3.fc26 fuse-encfs-1.9.2-3.fc25 fuse-encfs-1.9.2-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-20 18:28:01 UTC


Attachments (Terms of Use)

Description Ben Liblit 2016-10-08 06:19:58 UTC
Description of problem:

/usr/bin/encfssh is a "#!" shell script.  It should be installed with execute permissions for user, group, and other: "chmod a+x".  However, in fuse-encfs-1.9.1-1.fc24.x86_64 it is installed with no execute permissions for anyone.


Version-Release number of selected component (if applicable):

fuse-encfs-1.9.1-1.fc24.x86_64


How reproducible:

100% reproducible


Steps to Reproduce:
1. run "/usr/bin/encfssh"

Actual results:

Error message "sh: /usr/bin/encfssh: Permission denied" or something along similar lines, depending on exactly which shell one is using.


Expected results:

encfssh should run and print a usage message explaining its command-line options.




Additional info:

A reasonable temporary workaround is to run "sudo chmod a+x /usr/bin/encfssh".

Comment 1 Vasiliy Glazov 2016-10-08 06:35:17 UTC
Upstream reported https://github.com/vgough/encfs/issues/224

I solve it in fuse-encfs-1.9.1-2 soon.

Comment 2 Ben Liblit 2016-10-08 06:36:21 UTC
Thank you for the speedy reply!

Comment 3 Fedora Update System 2016-10-09 10:48:17 UTC
fuse-encfs-1.9.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d99c0ddb3e

Comment 4 Fedora Update System 2016-10-09 12:29:33 UTC
fuse-encfs-1.9.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-747f6b4daa

Comment 5 Fedora Update System 2016-10-09 13:50:52 UTC
fuse-encfs-1.9.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c037b1c778

Comment 6 Fedora Update System 2016-10-10 03:52:44 UTC
fuse-encfs-1.9.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ecc1c6729c

Comment 7 Fedora Update System 2016-10-12 18:58:19 UTC
fuse-encfs-1.9.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-10-16 22:49:27 UTC
fuse-encfs-1.9.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-10-19 06:21:26 UTC
fuse-encfs-1.9.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-10-25 05:49:24 UTC
fuse-encfs-1.9.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 James 2017-08-11 06:08:56 UTC
The problem persists in Fedora 26 with fuse-encfs 1.9.2-1:

[jarmo@localhost ~]$ dnf list fuse-encfs
Last metadata expiration check: 2 days, 22:51:59 ago on Tue 08 Aug 2017 10:16:07 EEST.
Installed Packages
fuse-encfs.x86_64                     1.9.2-1.fc26                      @updates
Available Packages
fuse-encfs.i686                       1.9.1-4.fc26                      fedora  
[jarmo@localhost ~]$ encfssh
bash: /usr/bin/encfssh: Permission denied

Comment 12 Vasiliy Glazov 2017-08-11 06:24:22 UTC
I am not checked https://github.com/vgough/encfs/pull/229
Now it corrected in upstream https://github.com/vgough/encfs/pull/352/commits/b67e3caea0f228902c6bba09824b6de55837b901

I create new release soon.

Comment 13 Fedora Update System 2017-08-14 06:38:56 UTC
fuse-encfs-1.9.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a04b610e5e

Comment 14 Fedora Update System 2017-08-14 06:39:50 UTC
fuse-encfs-1.9.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c8bd7edd2f

Comment 15 Fedora Update System 2017-08-14 06:40:41 UTC
fuse-encfs-1.9.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8b981e9d8

Comment 16 Fedora Update System 2017-08-15 03:50:03 UTC
fuse-encfs-1.9.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c8bd7edd2f

Comment 17 Fedora Update System 2017-08-15 06:23:00 UTC
fuse-encfs-1.9.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a04b610e5e

Comment 18 Fedora Update System 2017-08-15 07:49:41 UTC
fuse-encfs-1.9.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8b981e9d8

Comment 19 Fedora Update System 2017-08-20 18:28:01 UTC
fuse-encfs-1.9.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-08-23 06:06:55 UTC
fuse-encfs-1.9.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-08-29 21:52:00 UTC
fuse-encfs-1.9.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.